using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Interfaces
{
    // Listing 3-50
    public class DoStuff : IDoStuff
    {
        public string this[int i] { get { return i.ToString(); } set { } } 
        public string Name { get; set; } 

        public int Id { get { return 2; } }

        // Listing 3-51
        int IDoStuff.SomeMethod(string arg) 
        {
            return arg.Length;
        }

        public event EventHandler Click;
    }
}
